---
displayed_sidebar: entitiesSidebar
---

# Class: LineItemAdjustment

## Constructors

### constructor

• **new LineItemAdjustment**()

## Properties

### amount

• **amount**: `number`

#### Defined in

[models/line-item-adjustment.ts:45](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/line-item-adjustment.ts#L45)

___

### description

• **description**: `string`

#### Defined in

[models/line-item-adjustment.ts:34](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/line-item-adjustment.ts#L34)

___

### discount

• **discount**: [`Discount`](Discount.md)

#### Defined in

[models/line-item-adjustment.ts:38](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/line-item-adjustment.ts#L38)

___

### discount\_id

• **discount\_id**: `string`

#### Defined in

[models/line-item-adjustment.ts:42](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/line-item-adjustment.ts#L42)

___

### id

• **id**: `string`

#### Defined in

[models/line-item-adjustment.ts:23](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/line-item-adjustment.ts#L23)

___

### item

• **item**: [`LineItem`](LineItem.md)

#### Defined in

[models/line-item-adjustment.ts:31](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/line-item-adjustment.ts#L31)

___

### item\_id

• **item\_id**: `string`

#### Defined in

[models/line-item-adjustment.ts:27](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/line-item-adjustment.ts#L27)

___

### metadata

• **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

[models/line-item-adjustment.ts:48](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/line-item-adjustment.ts#L48)

## Methods

### beforeInsert

▸ `Private` **beforeInsert**(): `void`

#### Returns

`void`

#### Defined in

[models/line-item-adjustment.ts:50](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/line-item-adjustment.ts#L50)
